<template>
  <div id="app">
    <div class="header">
      <router-link class="logo" :to="'/'"><img src="/static/images/itea.png" alt="" /></router-link>
      <div class="author">
        Блінда Д.О.
      </div>
    </div>
    <div class="body">
      <router-view />
    </div>
  </div>
</template>

<script>
  import  Breadcrumbs from "@/components/breadcrumbs"

export default {
  name: 'App',
    components: {
        Breadcrumbs
    }
}
</script>

<style lang="scss">

  @import './assets/css/global.scss';

  * {
    box-sizing: border-box;
  }

  html, body {
    height: 100%;
    width: 100%;
    overflow: hidden;
    margin: 0;
  }
  #app {
    font-family:  Helvetica, sans-serif;
    color: #2c3e50;
    width: 100%;
    height: 100%;

    .header {
      display: flex;
      align-items: center;
      justify-content: space-between;
      background: #cb1a31;
      color: #fff;
      height: 70px;
      padding: 10px 10px;

      img {
        height: 50px;
      }

      .author {
        font-weight: 600;
        font-size: 24px;
      }
    }

    .body {
      padding: 20px;
      height: calc(100% - 70px);
      overflow: auto;
    }

    .wrap {
      width: 1100px;
      margin: 0 auto;
    }

    .btn {
      padding: 5px 10px;
      height: 30px;
      line-height: 20px;
      display: inline-flex;
      align-items: center;
      justify-content: center;
      cursor: pointer;
      border-radius: 5px;

      &.btn-primary {
        background: #158615;
        color: #fff;

        &:hover {
          background: darken(#158615,5%);
        }
      }
      &.btn-danger {
        background: #b0192e;
        color: #fff;

        &:hover {
          background: darken(#b0192e,5%);
        }
      }
      &.btn-info {
        background: #2f4eb0;
        color: #fff;

        &:hover {
          background: darken(#2f4eb0,5%);
        }
      }

    }

}
</style>
